Ошибка pyinstaller при создании игры pygamezero

Мы создаем нашу первую игру на Python с pygamezero и mu. мы изменили код для импорта и запуска pgz, скопировали каталог pgz в каталог mu. установил pyinstaller через pip и добавил соответствующий путь. Бег

pyinstaller spacegame.py –-distpath . –-add-data "pgzero;pgzero" –-add-data "images;images" –-add-data "fonts;fonts" –-add-data "sounds;sounds" –-add-data "music;music" –noconfirm –windowed –-clean

мы получаем ошибку

129 ИНФОРМАЦИЯ: PyInstaller: 4.2 129 ИНФОРМАЦИЯ: Python: 3.9.1 131 ИНФОРМАЦИЯ: Платформа: Windows-10-10.0.19041-SP0 133 ИНФОРМАЦИЯ: записано C: \ Users \ ellap \ mu_code \ oconfirm.spec 139 ИНФОРМАЦИЯ: UPX не доступный. 140 ИНФОРМАЦИЯ: Удаление временных файлов и очистка кеша в C: \ Users \ ellap \ AppData \ Roaming \ pyinstaller 143 ИНФОРМАЦИЯ: Расширение PYTHONPATH путями [‘C: \ Users \ ellap \ mu_code’, ‘C: \ Users \ ellap \ mu_code ‘] pygame 2.0.1 (SDL 2.0.14, Python 3.9.1) Привет от сообщества pygame. https://www.pygame.org/contribute.html 8246 INFO: проверка анализа 8247 INFO : Построение анализа, поскольку Analysis-00.toc не существует 8248 ИНФОРМАЦИЯ: Инициализация графа зависимостей модуля … 8255 ИНФОРМАЦИЯ: Кэширование перехватчиков графа модуля … 8273 ПРЕДУПРЕЖДЕНИЕ: Для модуля ‘win32ctypes.core’ определено несколько перехватчиков. Пожалуйста, будьте осторожны, они не конфликтуют. 8284 ИНФОРМАЦИЯ: Анализ base_library.zip … 12026 ИНФОРМАЦИЯ: Обработка перехвата пути модуля предварительного поиска distutils из ‘C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ hooks \ pre_find_module_path \ hook-distutils.py ‘. 12027 INFO: distutils: retargeting to non-venv dir ‘C: \ Program Files \ WindowsApps \ PythonSoftwareFoundation.Python.3.9_3.9.496.0_x64__qbz5n2kfra8p0 \ lib’ 13961 INFO: График зависимостей модуля кэширования … 14151 INFO: запуск Analysis Analysis- 00.toc Traceback (последний вызов последним): Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ win32ctypes \ pywin32 \ pywintypes. py, строка 35, в pywin32error yield File C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ win32ctypes \ pywin32 \ win32api.py, line 43, в LoadLibraryEx вернуть _dll._LoadLibraryEx (fileName, 0, flags) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ win32ctypes core \ ctypes_util.py, строка 42, в check_null поднять make_error (функция, имя_функции) OSError: [WinError 1920] T Система не может получить доступ к файлу.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.9_3.9.496.0_x64__qbz5n2kfra8p0\lib\runpy.py",

любая помощь с благодарностью оценена

Я подозреваю, что вы испортили свою среду, скопировав каталог pgz в каталог mu. Можете ли вы создать минимальный воспроизводимый пример, чтобы продемонстрировать свою проблему. Python изначально поддерживает виртуальные среды через модуль venv. Вы можете попробовать создать чистую среду.

См. также:  Как создать проект Visual Studio с манифестом приложения из Qt?

строка 197, в run_module_as_main return run_code (code, main_globals, None, File C: \ Program Files \ WindowsApps \ PythonSoftwareFoundation.Python.3.9_3.9.496.0_x64__qbz5n2kfra8p0 \ lib \ runpy.py, строка 87, в run_code exec (code, run_globals) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ Scripts \ pyinstaller.exe_ main </ em> .py, строка 7, в файле C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller_ main .py, строка 114, при запуске run_build (pyi_config, spec_file, ** vars (args)) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller_ main .py, строка 65, в run_build PyInstaller.building.build_main.main (pyi_config, spec_file, ** kwargs) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFo undation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ building \ build_main.py, строка 725, в основной сборке (specfile, kw.get (‘distpath’), kw.get (‘ workpath ‘), kw.get (‘ clean_build ‘)) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ building \ build_main.py, строка 672, в build exec (code, spec_namespace) Файл C: \ Users \ ellap \ mu_code \ oconfirm.spec, строка 6, в a = Analysis ([‘spacegame.py’], файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ building \ build_main.py, строка 242, в init self. postinit () Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ building \ datastruct.py , строка 160, в postinit self.assemb le () Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ building \ build_main.py, строка 391, в сборке самостоятельно .binaries.extend (bindepend.Dependencies ([(», python, »)], Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ Dependencies для ftocnm, строка 224, в файле Dependencies for ftocnm (pth, manifest, redirects): Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation. Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ Deependance \ bindepend.py, строка 403, в getAssemblyFiles для сборки в getAssemblies (pth): Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ зависимо \ bindepend.py, строка 354, в getAssemblies res = GetManifestResources (pth) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ utils \ win32 \ winmanifest.py, строка 1016, в GetManifestResources возвращает winresource.GetResources (имя_файла ,EST [RT_MANIF], имена , languages) Файл C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ PyInstaller \ utils \ win32 \ winresource.py, строка 170, в GetResources hsrc = win32api.LoadLibraryEx (имя файла, 0, LOAD_LIBRARY_AS_DATAFILE) Файл C: \ Users \ ellap \ AppD ata \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ win32ctypes \ pywin32 \ win32api.py, строка 43, в LoadLibraryEx возвращает _dll._LoadLibraryEx (fileName), 0, флаги C: \ Program Files \ WindowsApps \ PythonSoftwareFoundation.Python.3.9_3.9.496.0_x64__qbz5n2kfra8p0 \ lib \ contextlib.py, строка 135, в файле exit self.gen.throw (тип, значение, трассировка) C: \ Users \ ellap \ AppData \ Local \ Packages \ PythonSoftwareFoundation.Python.3.9_qbz5n2kfra8p0 \ LocalCache \ local-packages \ Python39 \ site-packages \ win32ctypes \ pywin32 \ pywintypes.py, строка 37, в pywin32error возникает ошибка (исключение. winerror, exception.function, exception.strerror) win32ctypes.pywin32.pywintypes.error: (1920, ‘LoadLibraryExW’, ‘Система не может получить доступ к файлу.’)   —  person Adam Price    schedule 18.02.2021

Понравилась статья? Поделиться с друзьями:
IT Шеф
Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: